org.keycloak.representations.idm

## Class ProtocolMapperTypeRepresentation.ConfigProperty

- java.lang.Object
- - org.keycloak.representations.idm.ProtocolMapperTypeRepresentation.ConfigProperty

- Enclosing class:
    ProtocolMapperTypeRepresentation

      public static class ProtocolMapperTypeRepresentation.ConfigProperty
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `defaultValue`
    `protected String` | `helpText`
    `protected String` | `label`
    `protected String` | `name`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMapperTypeRepresentation.ConfigProperty()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultValue()`
    `String` | `getHelpText()`
    `String` | `getLabel()`
    `String` | `getName()`
    `String` | `getType()`
    `void` | `setDefaultValue(Object defaultValue)`
    `void` | `setHelpText(String helpText)`
    `void` | `setLabel(String label)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### label

          protected String label

    - #### helpText

          protected String helpText

    - #### type

          protected String type

    - #### defaultValue

          protected Object defaultValue

  - ### Constructor Detail

    - #### ProtocolMapperTypeRepresentation.ConfigProperty

          public ProtocolMapperTypeRepresentation.ConfigProperty()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel(String label)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getDefaultValue

          public Object getDefaultValue()

    - #### setDefaultValue

          public void setDefaultValue(Object defaultValue)

    - #### getHelpText

          public String getHelpText()

    - #### setHelpText

          public void setHelpText(String helpText)

Copyright © 2015. All rights reserved.